using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Globalization;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
    }    
    protected void RadAjaxManager1_AjaxRequest(object sender, AjaxRequestEventArgs e)
    {
        RadScheduler1.ShowInlineInsertForm(ParseJavaScriptTime(e.Argument));       
    }

    private DateTime ParseJavaScriptTime(string jsTime)
    {
        DateTime result = DateTime.ParseExact(jsTime, "yyyyMMddHHmm", null, DateTimeStyles.AssumeUniversal);
        return result.ToUniversalTime();
    }
}